1. Jobs
Commusoft developer
  • Introduction
    • Introduction
    • Key concepts and relationships
    • Authentication
    • Rate-limits
    • Requests and responses
    • Core concepts and patters
    • Support and technical support
  • CRM
    • Properties
      • List properties
      • Properties
      • Customers
      • Companies
      • Work addresses
      • Customers
      • Companies
      • Work addresses
      • Properties
    • Contacts
      • List property contacts
      • Property contacts
      • Property contacts
      • Property contacts
    • Scheduled activities
      • List scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Complete Scheduled Activity
  • Sales
    • Opportunities
      • List opportunities
      • Opportunities
      • Opportunities
      • Opportunities
      • Opportunities
    • Actions
      • Change opportunity stage
  • Jobs
    • Jobs
      • List jobs
        GET
      • Jobs
        GET
      • Jobs
        POST
      • Jobs
        PATCH
      • Jobs
        DELETE
    • Actions
      • Put on hold
      • Mark as free of charge
      • Mark as aborted
      • Change job stage
      • Mark as complete
      • Remove on hold
  • Settings
    • List titles
      GET
    • List customer types
      GET
    • List advertising types
      GET
    • List telephone types
      GET
    • List business units
      GET
    • List user groups
      GET
    • List opportunity pipelines
      GET
    • List opportunity stages
      GET
    • List provinces
      GET
    • List job description templates
      GET
  • Webhooks
    • Webhooks
    • Example PHP script
    • Webhooks
    • Webhooks
  1. Jobs

Jobs

Developing
GET
/jobs/{jobID}

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Responses

🟢200Success
application/json
Headers

Bodyapplication/json

🟠400400 Bad request
🟠401401 Unauthorised
🟠403403 Forbidden
🟠404404 Not found
🟠429429 Too many requests
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/jobs/3' \
--header 'X-API-VERSION: 2.0' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "id": 0,
    "createdOnDateTime": "2019-08-24T14:15:22.123Z",
    "createdByType": "string",
    "createdByUserID": 0,
    "createdByUser": "string",
    "lastUpdatedOnDateTime": "2019-08-24T14:15:22.123Z",
    "propertyID": 0,
    "customerContactID": "string",
    "customerContact": {
        "contactID": 0,
        "fullName": "string",
        "mobile": "string",
        "telephone": "string",
        "email": "string"
    },
    "siteContactID": "string",
    "siteContact": {
        "siteContactID": 0,
        "fullName": "string",
        "mobile": "string",
        "telephone": "string",
        "email": "string"
    },
    "description": "string",
    "settingsJobDescriptionID": "string",
    "notes": "string",
    "jobType": 0,
    "serviceReminderInstance1ID": 0,
    "serviceReminderInstance1Name": "string",
    "serviceReminderInstance2ID": 0,
    "serviceReminderInstance2Name": "string",
    "serviceReminderInstance3ID": 0,
    "serviceReminderInstance3Name": "string",
    "skills": [
        {
            "id": 0,
            "skill": "string"
        }
    ],
    "pipelineID": 0,
    "pipelineName": "string",
    "stageID": 0,
    "stageName": "string",
    "usersCurrentlyAssignedToJob": [
        {
            "id": 0,
            "fullName": "string"
        }
    ],
    "contractID": 0,
    "hasRelatedRecall": true,
    "recallOfParentJobID": 0,
    "blameUserID": 0,
    "blameUser": "string",
    "jobReportedDateTime": "2019-08-24T14:15:22.123Z",
    "expectedOnsiteDateTime": "2019-08-24T14:15:22.123Z",
    "expectedCompletionDateTime": "2019-08-24T14:15:22.123Z",
    "tags": [
        "string"
    ],
    "customerReference": "string",
    "quotedAmount": "string",
    "priority": "Important",
    "businessUnitID": 0,
    "businessUnit": "string",
    "userGroupID": 0,
    "userGroup": "string",
    "status": "Open",
    "completed": {
        "completedByID": 0,
        "completedByUser": "string",
        "completedByType": "string",
        "completedOnDateTime": "2019-08-24T14:15:22.123Z"
    },
    "closed": {
        "closedByID": 0,
        "closedByUser": "string",
        "closedByType": "string",
        "closedOnDateTime": "2019-08-24T14:15:22.123Z",
        "closedOutcome": "string",
        "focReason": "string",
        "focNote": "string",
        "abortReason": "string",
        "abortNote": "string"
    },
    "isJobOnHold": true,
    "onHoldReasonID": 0,
    "onHoldReasonDescription": "string",
    "afterSalesCareFeedback": "string",
    "afterSalesCareComments": "string",
    "hasSLA": true,
    "SLAType": "string",
    "SLAStatus": "string"
}
Modified at 2026-07-15 16:51:42
Previous
List jobs
Next
Jobs
Built with